Core - Bug # 56019
Is Regression: No
Subject: ResourceCompressor: concatenateCss with forceOnTop gives wrong order
Description

While testing #53116 (about concatenateds and forceOnTop) | also checked if that part works fine for CSS. The forceOnTop works if
you don't concatenate them:

page >

config.concatenateCss = 0
page = PAGE
page {
includeCSS {
b = fileadmin/b.css
b {
forceOnTop =0
}
¢ = fileadmin/c.css
c{
forceOnTop = 1
}
a = fileadmin/a.css
a{
forceOnTop = 1
}
}
}

gives:
<link rel="stylesheet" type="text/css" href="fileadmin/a.css?1392566437" media="all">
<link rel="stylesheet" type="text/css" href="fileadmin/c.css?1392566430" media="all">

<link rel="stylesheet" type="text/css" href="typo3temp/stylesheet_993134cfc3.css?1385132976" media="all">
<link rel="stylesheet" type="text/css" href="fileadmin/b.css?1392566433" media="all">

(okay, we might look if we can get rid of that newline in the middle)
But with config.concatenateCss = 1 the order is then:

- default CSS

-b

-C

-a
Expected behaviour (as in non-concatenated example):
- a
-C
- default CSS
-b

Related issues:
related to Core - Bug # 53116: concatenatedJs in conjunction with forceOnTop Resolved 2013-10-25
related to TypoScript Reference (TSref) - Bug # 56021: Missing info about "fo... Resolved 2014-02-16

Associated revisions

Revision 599¢db66 - 2014-02-17 22:48 - Markus Klein

[BUGFIX] concatenateJs/Css does not consider forceOnTop

Setting the forceOnTop property for a JS or CSS file is not

observed if concatenateds/Css is set as well.

Resolves: #53116

Resolves: #56019

Releases: 6.2, 6.1

Change-Id: Ica31656bd72f4a0249513206bac45aa16b929761
Reviewed-on: https://review.typo3.org/27640

Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

Revision c9ae284b - 2014-02-20 22:12 - Markus Klein

[BUGFIX] concatenateJs/Css does not consider forceOnTop

Setting the forceOnTop property for a JS or CSS file is not

observed if concatenateds/Css is set as well.

Resolves: #53116

Resolves: #56019

Releases: 6.2, 6.1

Change-Id: Ica31656bd72f4a0249513206bac45aa16b929761
Reviewed-on: https://review.typo3.0rg/27672

Reviewed-by: Stefan Neufeind
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History

#1 - 2014-02-16 17:15 - Markus Klein

Hi! I checked that too, but forceOnTop for includeCSS is not documented to exist.

http://docs.typo3.org/typo3cms/TyposcriptReference/latest/Setup/Page/#includecss-array
https://review.typo3.org/27672
http://docs.typo3.org/typo3cms/TyposcriptReference/latest/Setup/Page/#includecss-array

#2 - 2014-02-16 17:18 - Stefan Neufeind

Oh my :-( But it works if you don't concatenate. Imho then we should:
- fix it for the concatenate-case as a "TASK" (make the functionality complete)
- document it

#3 - 2014-02-16 17:39 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27640

#4 - 2014-02-16 17:44 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27640

#5 - 2014-02-17 22:51 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27672

#6 - 2014-02-17 23:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:599cdb66a8bc9ac4f72afffe704f3b6f5afc35¢0.
